Loading...
Searching...
No Matches
etl::private_io_port::iterator< TIO_Port > Class Template Reference

Common io_port iterator implementation. More...

`#include <io_port.h>`

## Public Types

typedef TIO_Port | io_port_type
| Types.
typedef TIO_Port::value_type | value_type
Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, TIO_Port::value_type >
typedef TIO_Port::value_type | value_type
typedef ptrdiff_t | difference_type
typedef TIO_Port::value_type * | pointer
typedef TIO_Port::value_type & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Public Member Functions

| iterator (const iterator &other)
iterator & | operator= (const iterator &other)
io_port_type & | operator* ()
const io_port_type & | operator* () const
iterator & | operator++ ()
| Pre-increment operator.
iterator | operator++ (int)
| Post-increment operator.

## Public Attributes

friend | TIO_Port
| Allow TIO_Port access.

## Friends

template<typename U>
class | const_iterator
| Allow const_iterator access.

## Detailed Description

template<typename TIO_Port>
class etl::private_io_port::iterator< TIO_Port >

Common io_port iterator implementation.

The documentation for this class was generated from the following file:

- include/etl/io_port.h